Skip to Content
veriom

Cancel assistant run

POST
/v1/workspaces/{workspace_id}/assistant/runs/{run_id}/cancel

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
run_id*Run Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
assistant_message_id*|null
cache_hit*Cache Hit
completed_at*|null
context_snapshot_id*|null
conversation_id*Conversation Id
Formatuuid
created_at*Created At
Formatdate-time
error_code*string|null
id*Id
Formatuuid
route*string|null
skill_id?string|null
specialist*string|null
started_at*|null
status*Status
user_message_id*User Message Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/assistant/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel'
Example Response
{  "assistant_message_id": "bb34c082-20a7-446a-a2d9-976d65d15191",  "cache_hit": true,  "completed_at": "2019-08-24T14:15:22Z",  "context_snapshot_id": "975da57c-75b7-414d-8086-534aa86baded",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "created_at": "2019-08-24T14:15:22Z",  "error_code": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "route": "string",  "skill_id": "string",  "specialist": "string",  "started_at": "2019-08-24T14:15:22Z",  "status": "string",  "user_message_id": "1798585b-bc85-46b6-801b-ecb7c9ceed07"}